Bug 135381 - The "Alt Gr" key on int'l keyboards is not working from a windows vnc client
The "Alt Gr" key on int'l keyboards is not working from a windows vnc client
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 08:51 EDT by Okke Timm
Modified: 2013-06-03 07:31 EDT (History)
12 users (show)

See Also:
Fixed In Version: 1.0.90-0.8.20100219svn3993.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:37:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix the problem for a Danish keyboard (1.36 KB, patch)
2009-02-23 02:07 EST, Mogens Kjaer
no flags Details | Diff

  None (edit)
Description Okke Timm 2004-10-12 08:51:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1) Opera 
7.54  [de]

Description of problem:
The "Alt Gr" key on international keyboards (needed for the Euro 
symbol or the @ sign for example) does not work when accessing a vnc 
server fedora box from a windows vnc client. Verfied with the 
original vnc client from Real VNC and with the tightvnc client.

Version-Release number of selected component (if applicable):
vnc-4.0-8

How reproducible:
Always

Steps to Reproduce:
1. install vnc-server
2. add a 'Load "vnc"' to the Module section in /etc/X11/xorg.conf
3. configure vnc password
4. connect to the vnc server with either the Real VNC client or the 
tightvnc client
    

Actual Results:  When I press "AltGr-e" I get an "e" in the remote 
application. 

Expected Results:  I should get an "€".

Additional info:
Comment 1 Jitka Kozana 2006-02-09 14:38:11 EST
Please try to reproduce the bug with the newest version of vnc (fc4 or rawhide). 
Comment 2 Peter Bieringer 2006-03-30 06:16:39 EST
I got same here using

Server side: Fedora Core 4 with vnc-server-4.1.1-10.1
 LANG=de_DE.UTF-8

Client side: Windows 2000 with vncviewer.exe 4.1.1
 Keyboard layout: German

Main problem is that neither "@" nor "|" (some not so unimportant chars) won't
be transmitted.

@Okke, can you please change version from Fedora Core 3 to Fedora Core 4
Comment 3 Peter Bieringer 2006-03-30 08:29:15 EST
Note that using FC4 with vnc-4.1.1-10.1 as client (German Keyboard), the AltGr
characters are transmitted. Looks like it is a Windows-to-Linux issue.
Comment 4 Peter Bieringer 2006-03-30 08:46:51 EST
Perhaps here some hints, but I don't know how to specify -xfb in /etc/X11/xorg.conf

http://www.karlrunge.com/x11vnc/#faq-altgr
http://www.karlrunge.com/x11vnc/#faq-remap-opt
Comment 5 Matthew Miller 2006-07-10 17:10:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 Peter Bieringer 2006-07-10 17:18:08 EDT
@reporter: can you at least change the version to FC4? I will run some tests
next days to see, whether this problem exists also on FC5.
Comment 7 Peter Bieringer 2006-07-11 04:33:20 EDT
I can confirm that this issue still exists using VNC client 4.1.2 on Windows and
vnc-server-4.1.1-39.fc5 on Linux server side.

@reporter: please change version to FC5
Comment 8 Matthew Miller 2006-07-11 12:06:00 EDT
Moving to FC5 as per comment #7.
Comment 9 Matthew Miller 2006-07-11 14:09:17 EDT
(marking as info provided. is it my imagination, or is that checkbox not always
working?)
Comment 10 Jitka Kozana 2006-07-12 07:39:54 EDT
Which checkbox?
Comment 11 Adam Tkac 2006-11-08 06:01:42 EST
hmm, It seems that problem isn't in linux vncserver, but in windows viewer.
Through that, could you check if problem still exists with vncserver version
4.1.2- series, please?? thanks much
Comment 12 Peter Bieringer 2006-12-13 09:53:54 EST
Same happen using vnc-viewer 4.1.2 on Windows 2000 and vnc-server 4.1.2 on
Fedora Core 6 side.

@reporter: please change version to FC6 - thank you
Comment 13 petrosyan 2008-03-10 01:05:06 EDT
Fedora Core 6 is no longer maintained. Is this bug still present in Fedora 8?
Comment 14 Peter Bieringer 2008-03-10 16:47:01 EDT
Yes, still the same issue using vnc-server-4.1.2-23.fc8 on server and the 4.1.2
viewer on Windows XP

@Reporter: please change version to Fedora 8
Comment 15 Peter Bieringer 2008-03-10 16:58:39 EDT
Same happen using vncviewer from UltraVNC 1.0.2 on Windows
Comment 16 Bug Zapper 2008-04-03 21:51:32 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 17 Adam Tkac 2008-04-04 05:46:32 EDT
moving to rawhide & assigned
Comment 18 Bug Zapper 2008-05-13 21:57:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Mogens Kjaer 2009-02-23 02:07:47 EST
Created attachment 332901 [details]
Fix the problem for a Danish keyboard

The patch fixes the problem for a Danish keyboard.

With this patch, alt-gr and dead keys work.
Comment 20 Adam Tkac 2009-02-23 11:39:11 EST
(In reply to comment #19)
> Created an attachment (id=332901) [details]
> Fix the problem for a Danish keyboard
> 
> The patch fixes the problem for a Danish keyboard.
> 
> With this patch, alt-gr and dead keys work.

Patch is for builtin server inside kvm and fixes problem only when you are connecting to kvm virtual machine. I will clone this bug against kvm, this bug tracks problem with Xvnc.
Comment 21 Julian Sikorski 2009-03-12 18:49:38 EDT
I'm not sure if the bug has been cloned already, but the alt gr key definitely does not work when trying to use a Polish keyboard layout in a Fedora rawhide kvm guest and Fedora 10 host. The default console is via vnc, I believe.
Comment 22 Bug Zapper 2009-06-09 05:07:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2010-04-27 07:35:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Adam Tkac 2010-04-27 08:57:43 EDT
TigerVNC in Fedora 13 has reworked keyboard related code and this issue should be finally solved there. If you still have problems with the latest tigervnc-server package please reopen this bug.
Comment 25 Julian Sikorski 2010-04-28 17:34:23 EDT
With tigervnc-1.0.90-0.10.20100420svn4030.fc13.x86_64, only some of the characters are reaching the VM. For instance, out of the zażółć gęślą jaźń pangram, only ó is getting through.
Comment 26 Thomas Hallgren 2010-05-22 02:51:07 EDT
(In reply to comment #24)
> TigerVNC in Fedora 13 has reworked keyboard related code and this issue should
> be finally solved there. If you still have problems with the latest
> tigervnc-server package please reopen this bug.    

I'm running both client and server on two Fedora machines. I just upgraded both to use tigervnc and tigervnc-server version 1.0.90-0.11.20100420svn4030.fc14. Alt-gr still doesn't work so this has not been fixed. I have a Swedish keyboard but I expect it has a lot in common with the Danish one.
Comment 27 Peter Dieth 2010-06-04 02:52:17 EDT
I can confirm Thomas's report: I'm also running Fedora release 13 (Goddard)
on both client and server with

tigervnc-1.0.90-0.11.20100420svn4030.fc13.i686   installed on client
tigervnc-server-1.0.90-0.11.20100420svn4030.fc13.i686  installed on server

and I'm also unable to get special characters (@ = at-character, backslash, ...) working when using the German keyboard layout.
Comment 28 Bug Zapper 2010-06-28 06:19:31 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 29 Adam Tkac 2010-06-28 07:15:15 EDT
Reopening, this issue is still present.
Comment 30 Bug Zapper 2010-07-30 06:25:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 31 Juha Luoma 2010-09-06 05:39:24 EDT
Some update during last two weeks broke my previously working Fedora 13 system. Alt Gr key does not work like before. Using Tigervnc 1.0.1 Windows client.
Comment 32 Julian Sikorski 2010-10-02 04:47:21 EDT
I just tested it with libvirt/qemu: Fedora 14 guest on a Fedora 13 host seem to work.
tigervnc-1.0.90-0.13.20100420svn4030.fc13.x86_64
Comment 33 Julian Sikorski 2010-11-14 06:40:06 EST
Windows 7 guest on Fedora 14 host also works.
tigervnc-1.0.90-0.22.20100813svn4123.fc14.x86_64
Comment 34 Roland Olsson 2010-12-03 07:56:13 EST
Is there any progress on this one? It worked fine for me running tigervnc on a Fedora 11 box, but when upgrading to 12 it stopped working. Upgrading to Fedora 13 didn't help. I've tried several VNC clients on both Fedora; TigerVNC/vinagre and Windows; TigerVNC/TightVNC, but they all have the same problem with AltGr keystrokes. I'm using a Swedish keyboard and the AltGr key is used to type several common characters like @, | and \.

Downgrading tigervnc to those provided with Fedora 11 works (after also installing older openssl stuff) but is not a good solution since I have to uncheck tigervnc* every time the Software Updater announces updated packages. Also, I occasionally get some problems with the screensaver.

Is there any type of information I could provide that would help to shed some light on this issue? Logs, configuration files, output from some other command/utility?
Comment 35 Juha Luoma 2011-04-27 02:27:20 EDT
Found a workaround for this case. In Keyboard Preferences Layouts tab first selected Reset to Deafults and then brought back my correct keyboard layout (Finland in my case). Now Alt Gr works again.
Comment 36 Reiner Rottmann 2011-06-01 04:46:00 EDT
I can confirm that the workaround also works with German keyboard. Is there any way to automate the reset of the keyboard layout, so that it will be performed every time someone logs in?
Comment 37 Fedora End Of Life 2012-08-16 17:37:52 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 38 Tako Schotanus 2013-03-27 07:41:37 EDT
BTW, I know this bug is closed but I'm still seeing this problem in F18 , so it definitely hasn't been fixed. And in Gnome 3 the keyboard preferences doesn't seem to have a "Reset To Defaults" so I can't use the work-around that was talked about either.
Comment 39 Tako Schotanus 2013-03-27 11:52:15 EDT
Well, I saw that the vnc server was updated recently so I made sure I updated my system to the latest versions of all packages and now it works (except for the euro sign on the E, but I can live with that)
Comment 40 Dirk L. 2013-06-03 07:31:17 EDT
Hello,

today i have installed my new Wokstation 3.9.4-200.fc18.x86_64 an the Problem with the Alt-Gr is back, all Updates are installed but the Alt-Gr Key dosn´t work :( 

My old Fedora 16 64Bit don´t have this Problem until is was fixed in the history.

I use on Fedora 18 Tigervnc:
tigervnc-server-1.2.80-0.10.20130314svn5065.fc18.x86_64

Can You please fix it

Thanks Dirk

Note You need to log in before you can comment on or make changes to this bug.